package com.sinosig.core.module.valuerule.anno.cid;

import com.sinosig.core.module.valuerule.validator.cid.CIDSyxdeCheckDBEValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * 值规则注解
 * 实体：CID
 * 属性：Syxde
 * 值规则：CheckDBE
 */
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {CIDSyxdeCheckDBEValidator.class})
public @interface CIDSyxdeCheckDBE {
    //是否默认检查
    boolean flag() default true;

    //值规则名称
    String info() default "起止日期规则";

    //值规则信息，如果为空，使用值规则名称。
    String message() default "截止日期与生效日期相差不能超过一年！";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
